Package groovy.util.slurpersupport

# Class Attribute

java.lang.Object
groovy.lang.GroovyObjectSupport
groovy.util.slurpersupport.GPathResult
groovy.util.slurpersupport.Attribute

All Implemented Interfaces:
  `Buildable`, `GroovyObject`, `Writable`, `java.lang.Iterable`

    @Deprecated
    public class Attribute
    extends GPathResult

Deprecated.
Lazy evaluated representation of a node attribute.

- ## Field Summary

  ### Fields inherited from class groovy.util.slurpersupport.GPathResult

  `name, namespaceMap, namespacePrefix, namespaceTagHints, parent`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Attribute​(java.lang.String name, java.lang.String value, GPathResult parent, java.lang.String namespacePrefix, java.util.Map<java.lang.String,​java.lang.String> namespaceTagHints)` | Deprecated.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `protected void` | `appendNode​(java.lang.Object newValue)` | Deprecated. NOP, because an node can not be appended to an attribute.
  `void` | `build​(GroovyObject builder)` | Deprecated.
  `java.util.Iterator` | `childNodes()` | Deprecated. Throws a `GroovyRuntimeException`, because an attribute can have no children.
  `GPathResult` | `find​(Closure closure)` | Deprecated. Returns the first child of this GPathResult matching the condition(s) specified in the passed closure.
  `GPathResult` | `findAll​(Closure closure)` | Deprecated. Returns the children of this GPathResult matching the condition(s) specified in the passed closure.
  `java.util.Iterator` | `iterator()` | Deprecated.
  `java.lang.String` | `name()` | Deprecated. Returns the name of this GPathResult.
  `java.lang.String` | `namespaceURI()` | Deprecated. Returns the URI of the namespace of this Attribute.
  `java.util.Iterator` | `nodeIterator()` | Deprecated.
  `GPathResult` | `parents()` | Deprecated. Throws a `GroovyRuntimeException`, because this method is not implemented yet.
  `protected void` | `replaceBody​(java.lang.Object newValue)` | Deprecated. NOP, because an attribute does not have a Body.
  `protected void` | `replaceNode​(Closure newValue)` | Deprecated. NOP, because an attribute does not have any Node to replace.
  `int` | `size()` | Deprecated. Returns the size of this Attribute, which is always `1`.
  `java.lang.String` | `text()` | Deprecated. Returns the value of this Attribute.
  `java.io.Writer` | `writeTo​(java.io.Writer out)` | Deprecated. Writes this object to the given writer.

  ### Methods inherited from class groovy.util.slurpersupport.GPathResult

  `breadthFirst, children, createIterator, declareNamespace, depthFirst, equals, getAt, getAt, getBody, getProperty, hashCode, isEmpty, leftShift, list, lookupNamespace, parent, plus, pop, putAt, setMetaClass, setProperty, toBigDecimal, toBigInteger, toBoolean, toDouble, toFloat, toInteger, toLong, toString, toURI, toURL`

  ### Methods inherited from class groovy.lang.GroovyObjectSupport

  `getMetaClass`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface groovy.lang.GroovyObject

  `invokeMethod`

  ### Methods inherited from interface java.lang.Iterable

  `forEach, spliterator`

- ## Constructor Details

  - ### Attribute

    public Attribute​(java.lang.String name, java.lang.String value, GPathResult parent, java.lang.String namespacePrefix, java.util.Map<java.lang.String,​java.lang.String> namespaceTagHints)
    Deprecated.
    Parameters:
      `name` - of the attribute
      `value` - of the attribute
      `parent` - the GPathResult prior to the application of the expression creating this GPathResult
      `namespacePrefix` - the namespace prefix if any
      `namespaceTagHints` - the known tag to namespace mappings

- ## Method Details

  - ### name

    public java.lang.String name()
    Deprecated.
    Description copied from class: `GPathResult`
    Returns the name of this GPathResult.
    Overrides:
      `name` in class `GPathResult`
    Returns:
      the name of this GPathResult

  - ### size

    public int size()
    Deprecated.
    Returns the size of this Attribute, which is always `1`.
    Specified by:
      `size` in class `GPathResult`
    Returns:
      `1`

  - ### text

    public java.lang.String text()
    Deprecated.
    Returns the value of this Attribute.
    Specified by:
      `text` in class `GPathResult`
    Returns:
      the value of this Attribute

  - ### namespaceURI

    public java.lang.String namespaceURI()
    Deprecated.
    Returns the URI of the namespace of this Attribute.
    Returns:
      the namespace of this Attribute

  - ### parents

    public GPathResult parents()
    Deprecated.
    Throws a `GroovyRuntimeException`, because this method is not implemented yet.
    Specified by:
      `parents` in class `GPathResult`
    Returns:
      the parents of this GPathResult

  - ### childNodes

    public java.util.Iterator childNodes()
    Deprecated.
    Throws a `GroovyRuntimeException`, because an attribute can have no children.
    Specified by:
      `childNodes` in class `GPathResult`
    Returns:
      an iterator over the child nodes of this GPathResult

  - ### iterator

    public java.util.Iterator iterator()
    Deprecated.
    Specified by:
      `iterator` in interface `java.lang.Iterable`
    Specified by:
      `iterator` in class `GPathResult`

  - ### find

    public GPathResult find​(Closure closure)
    Deprecated.
    Description copied from class: `GPathResult`
    Returns the first child of this GPathResult matching the condition(s) specified in the passed closure.
    Specified by:
      `find` in class `GPathResult`
    Parameters:
      `closure` - a closure to filters the children of this GPathResult
    Returns:
      the first child matching the closure

  - ### findAll

    public GPathResult findAll​(Closure closure)
    Deprecated.
    Description copied from class: `GPathResult`
    Returns the children of this GPathResult matching the condition(s) specified in the passed closure.
    Specified by:
      `findAll` in class `GPathResult`
    Parameters:
      `closure` - a closure to filters the children of this GPathResult
    Returns:
      the children matching the closure

  - ### nodeIterator

    public java.util.Iterator nodeIterator()
    Deprecated.
    Specified by:
      `nodeIterator` in class `GPathResult`

  - ### writeTo

    public java.io.Writer writeTo​(java.io.Writer out) throws java.io.IOException
    Deprecated.
    Description copied from interface: `Writable`
    Writes this object to the given writer.

    This is used to defer content creation until the point when it is streamed to the output destination. Oftentimes, content will be defined but not necessarily created (as is may be the case with a Closure definition.) In that case, the output is then 'deferred' to the point when it is serialized to the writer. This class may be used whenever an object should be responsible for creating its own textual representation, but creating the entire output as a single String would be inefficient (such as outputting a multi-gigabyte XML document.)

    Parameters:
      `out` - the Writer to which this Writable should output its data.
    Returns:
      the Writer that was passed
    Throws:
      `java.io.IOException` - if an error occurred while outputting data to the writer

  - ### build

    public void build​(GroovyObject builder)
    Deprecated.

  - ### replaceNode

    protected void replaceNode​(Closure newValue)
    Deprecated.
    NOP, because an attribute does not have any Node to replace.
    Specified by:
      `replaceNode` in class `GPathResult`

  - ### replaceBody

    protected void replaceBody​(java.lang.Object newValue)
    Deprecated.
    NOP, because an attribute does not have a Body.
    Specified by:
      `replaceBody` in class `GPathResult`

  - ### appendNode

    protected void appendNode​(java.lang.Object newValue)
    Deprecated.
    NOP, because an node can not be appended to an attribute.
    Specified by:
      `appendNode` in class `GPathResult`